RECOLLQ(1)

NAME
recollq - command line / standard output Recoll query command.

SYNOPSIS
recollq [ -c <configdir> ] [ -o | -f | -a ] [ -b ] [ -d ] [ -A ] [ -p ] [ -e ] [ -m ] [ -n <[first-]cnt> ] [ -Q ] [ -s <stemming language> ] [ -S <fldname> ] [ -D ] [ -i <additional index directory> ] [ -F <quoted space separated field name list> ] <query string>

recollq -P

DESCRIPTION
The recollq command will execute the Recoll query specified on the command line and print the results to the standard output. It is primarily designed for diagnostics, or piping the data to some other program. The basic format and its variations can be useful for command line querying. The -F option should exclusively be used for using the output data in another program, as it is the only one for which output is guaranteed to be fully parseable.

The -c option specifies the configuration directory name, overriding the default or $RECOLL_CONFDIR.

The query string is built by concatenating all arguments found at the end of the command line (after the options). It will be interpreted by default as a query language string. Quoting should be used as needed to escape characters that might be interpreted by the shell (ie: wildcards). -a is specified, the query string will be interpreted as an all words simple search query. If -o is specified, the query string will be interpreted as an any word simple search query. If -f is specified, the query string will be interpreted as a file name simple search query.

-b (basic) can be specified to only print the result urls in the output stream.

If -d is set, the text for the result files contents will be dumped to stdout.

If -m is set, the whole metadata array will be dumped for each document.

If -A is set, the document abstracts will be printed. With an additional -p option, snippets with page numbers (when available) will be shown instead.

-S <fieldname> sorts the results according to the specified field. Use -D for descending order.

-n <cnt> can be used to set the maximum number of results that should be printed. The default is 2000. Use a value of 0 for no limit.

-s <language> selects the word stemming language. The value should match an existing stemming database (as set in the configuration or added with recollindex -s).

-i <extra dbdir> adds the specified Xapian index to the set used for the query. Can be specified multiple times.

-F <space separated field list> (one argument, e.g. "author title") should be used for piping the data to another program. After 2 initial lines showing the actual query and the estimated result counts, it will print one line for each result document. Each line will have exactly the fields requested on the command line. Fields are encoded in base64 and separated by one space character. Empty fields are indicated by consecutive space characters. There is one additional space character at the end of each line.

recollq -P (Period) will print the minimum and maximum modification years for documents in the index.

SEE ALSO

recollindex(1) recollq(1) recoll.conf(5)